// projectDecision.ts
class ProjectDecision {
    private _projectId?: number;
    private _adminId?: number;
    private _isAccepted?: boolean;

    constructor(data: Partial<ProjectDecision> = {}) {
        this._projectId = data.projectId;
        this._adminId = data.adminId;
        this._isAccepted = data.isAccepted;
    }

    get projectId(): number | undefined {
        return this._projectId;
    }

    set projectId(value: number | undefined) {
        this._projectId = value;
    }

    get adminId(): number | undefined {
        return this._adminId;
    }

    set adminId(value: number | undefined) {
        this._adminId = value;
    }

    get isAccepted(): boolean | undefined {
        return this._isAccepted;
    }

    set isAccepted(value: boolean | undefined) {
        this._isAccepted = value;
    }
}

export default ProjectDecision;
